let
  overlay = _: pkgs: {
    haskellPackages = pkgs.haskellPackages.override {
      overrides = self: super: rec {
        achille = self.callPackage ../achille/achille.nix {};
      };
    };
  };
  pkgs = import <nixpkgs> { overlays = [ overlay ]; };

in pkgs.haskellPackages.callPackage ./site.nix {}
